Images

Create Variation

Creates variations of an image. Request must be sent as multipart/form-data with model and image (or image[]). Does not support streaming.

POST
/v1/images/variations
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

modelstring

Model identifier in format provider/model

imagefile

Image file to create variations of. Use field name image for a single file or image[] for multiple (first image is used).

Formatbinary
n?integer

Number of variations to generate

Range1 <= value <= 10
size?string

Size of the output images

Value in"256x256" | "512x512" | "1024x1024" | "1792x1024" | "1024x1792" | "1536x1024" | "1024x1536" | "auto"
response_format?string

Format of the response

Default"url"
Value in"url" | "b64_json"
user?string

User identifier for tracking

fallbacks?array<Fallback>

Fallback models to try if primary model fails

Response Body

curl -X POST "https://loading/{AI_GATEWAY_URL}/v1/images/variations" \  -F model="string" \  -F image="string"
{
  "id": "string",
  "created": 0,
  "model": "string",
  "data": [
    {
      "url": "http://example.com",
      "b64_json": "string",
      "revised_prompt": "string",
      "index": 0
    }
  ],
  "background": "string",
  "output_format": "png",
  "quality": "string",
  "size": "256x256",
  "usage": {
    "input_tokens": 0,
    "input_tokens_details": {
      "image_tokens": 0,
      "text_tokens": 0
    },
    "total_tokens": 0,
    "output_tokens": 0,
    "output_tokens_details": {
      "image_tokens": 0,
      "text_tokens": 0
    }
  },
  "extra_fields": {
    "request_type": "string",
    "provider": "openai",
    "model_requested": "string",
    "model_deployment": "string",
    "latency": 0,
    "chunk_index": 0,
    "raw_request": {},
    "raw_response": {},
    "cache_debug": {
      "cache_hit": true,
      "cache_id": "string",
      "hit_type": "string",
      "requested_provider": "string",
      "requested_model": "string",
      "provider_used": "string",
      "model_used": "string",
      "input_tokens": 0,
      "threshold": 0,
      "similarity": 0
    }
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
On this page

On this page

No Headings